跳转到主要内容
基础设施相关接口/生命周期
GETLifecycle起始版本 1.0同步需要认证

查询健康度历史列表

列表健康检查历史记录。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • componentUuidString

    过滤组件UUID。

  • componentTypeString

    过滤组件类型。

  • componentCategoryString

    过滤管理组件分类。

  • componentNameString

    过滤管理组件名称。

  • checkTypeString

    过滤检查类型。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • itemsList

    条目列表。

    示例: (nested array)

    • idInteger

      资源ID。

      示例: 1

    • componentUuidString

      UUID组件已检查。

      示例: a1b2c3d4-e5f6-7890-abcd-ef1234567890

    • componentTypeString

      类型组件已检查。

      示例: lifecycle-service

    • checkTypeString

      类型健康度检查执行。

      示例: liveness

    • statusString

      状态信息。

      示例: healthy

    • latencyMsInteger

      时延,单位为毫秒。

      示例: 12

    • messageString

      错误返回消息。

      示例: All checks passed

    • lcaUuidString

      LCA UUID。

      示例: 0123456789abcdef0123456789abcdef

    • checkedAtString

      检查时间。

      示例: 2026-01-15T08:00:00Z

  • totalInteger

    返回结果总数。

    示例: 500

  • limitInteger

    最大返回条目数。

    示例: 20

  • offsetInteger

    查询起始偏移量。

    示例: 40

请求地址

GET/api/v1/lifecycle/health-history

/api/v1/lifecycle/health-history

操作 ID

ListHealthHistory

永久链接

请求示例

curl -X GET '{host}/api/v1/lifecycle/health-history' -H 'Authorization: Bearer {token}'

响应示例

200
{"items": [{"id": 1, "componentUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "componentType": "lifecycle-service", "checkType": "liveness", "status": "healthy", "latencyMs": 12, "message": "All checks passed", "lcaUuid": "0123456789abcdef0123456789abcdef"}], "total": 500, "limit": 20, "offset": 40}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史